Methodology
===========

A core part of peer review, a necessary part of quality assurance, and an
essential for data transparency. You can begin writing your supporting methods
document as early as the project planning phase. Update as the project evolves
and becomes stable. To be effective, a methodology document needs to:

* Clearly state the procedural steps taken in any data handling steps including,
  but not limited to, extraction, transformation, classification, imputation,
  and linkage.
* Describe any statistical analyses that were performed.
* List all programming environment parameters (e.g., R 4.1.0, SAS 9.3) and
  versions of packages (e.g., dplyr 0.4).
* Cite any sources that provide justification of a methodological approach.

Statistics Canada has a formal process for conducting reviews of :abbr:`ML (Machine Learning)`
processes. You can learn more about the process by reading the `guidelines`_ or
checking out the `checklist`_.

Objectives
----------

Documenting the methodology of the project here does not replace the requirements
for more formal review, but aims to support them and make it easier to produce
ongoing documentation that facilitates completion of formal assessments.

.. toctree::
  :maxdepth: 2

  background
  data
  scope
  model
  metrics_results
  assessment_tools

.. _guidelines: https://gcdocs.gc.ca/statcan/llisapi.dll/Open/14360023
.. _checklist: https://gcdocs.gc.ca/statcan/llisapi.dll/Open/11519388
